org.eclipse.mat

## Class SnapshotException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.mat.SnapshotException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MultipleSnapshotsException, OQLParseException

    public class SnapshotException
    extends Exception

Exception used to indicate a problem different from the standard Java exceptions while performing an operation on an snapshot.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SnapshotException()` Create snapshot exception - should not be used except during deserialization.
`SnapshotException(String message)` Create snapshot exception with message only.
`SnapshotException(String message, Throwable cause)` Create snapshot exception with message and root cause.
`SnapshotException(Throwable cause)` Create snapshot exception with root cause only.

### Method Summary

All Methods Static Methods Concrete Methods
`static SnapshotException` `rethrow(Throwable e)` Wrap, if necessary, and return a SnapshotException.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnapshotException

    public SnapshotException()

Create snapshot exception - should not be used except during deserialization.

#### SnapshotException

    public SnapshotException(String message,
                             Throwable cause)

Create snapshot exception with message and root cause.

Parameters:
  `message` -
  `cause` -

#### SnapshotException

    public SnapshotException(String message)

Create snapshot exception with message only.

Parameters:
  `message` -

#### SnapshotException

    public SnapshotException(Throwable cause)

Create snapshot exception with root cause only.

Parameters:
  `cause` -

### Method Detail

#### rethrow

    public static final SnapshotException rethrow(Throwable e)

Wrap, if necessary, and return a SnapshotException.